> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Lockups

> Replaces each grant's lockup schedule from rows, validating sequences and totals, then generates unlock schedules.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-bulk-lockups
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-bulk-lockups:
    post:
      operationId: createBulkLockups
      summary: Create Bulk Lockups
      description: >-
        Replaces each grant's lockup schedule from rows, validating sequences
        and totals, then generates unlock schedules.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBulkLockupsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateBulkLockupsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateBulkLockupsRequest:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
            format: uuid
          sequenceNumber:
            type: integer
            minimum: 0
            maximum: 10000
          unlockDate:
            type: string
            format: date-time
          unlockPercentage:
            oneOf:
              - {}
              - type: string
              - type: number
          unlockAmount:
            oneOf:
              - {}
              - type: string
              - type: number
        required:
          - grantID
          - sequenceNumber
          - unlockDate
    CreateBulkLockupsResponse:
      type: object
      properties:
        isTotalSuccess:
          type: boolean
        results:
          type: array
          items:
            type: object
            properties:
              success:
                type: boolean
              grantID:
                type: string
              sequenceNumber:
                type:
                  - number
                  - 'null'
              messages:
                type: array
                items:
                  type: string
            required:
              - success
              - grantID
              - sequenceNumber
              - messages
      required:
        - isTotalSuccess
        - results
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
